package com.hcordova.flightagencyapi.shared.config;

import org.springframework.http.HttpStatus;
import org.springframework.http.ResponseEntity;
import org.springframework.web.bind.annotation.ControllerAdvice;
import org.springframework.web.bind.annotation.ExceptionHandler;

import com.hcordova.flightagencyapi.shared.dto.ErrorMessage;
import com.hcordova.flightagencyapi.shared.exceptions.NotFoundException;

@ControllerAdvice
public class ExceptionController {

    @ExceptionHandler(NotFoundException.class)
    public ResponseEntity<ErrorMessage> notFoundException(NotFoundException ex) {
        ErrorMessage errorMessage = new ErrorMessage(ex.getMessage(), HttpStatus.NOT_FOUND, ex.getPath());
        return new ResponseEntity<>(errorMessage, HttpStatus.NOT_FOUND);
    }
}
