import { NgModule } from '@angular/core';
import { RouterModule, Routes } from '@angular/router';
import { HomePageComponent } from './pages/home-page/home-page.component';
import { ReservationsComponent } from './pages/reservations/reservations.component';
import { PassengerAddComponent } from './pages/passenger-add/passenger-add.component';
import { ReservationAddComponent } from './pages/reservation-add/reservation-add.component';
import { PassengersComponent } from './pages/passengers/passengers.component';

const routes: Routes = [
  {
    path: 'passengers',
    title: 'Pasajeros',
    component: PassengersComponent,
  },
  {
    path: 'passengers/new',
    title: 'Pasajeros',
    component: PassengerAddComponent,
  },
  {
    path: 'passengers/edit/:id',
    title: 'Pasajeros',
    component: PassengerAddComponent,
  },
  {
    path: 'reservations',
    title: 'Reservaciones',
    component: ReservationsComponent,
  },
  {
    path: 'reservations/new',
    title: 'Reservaciones',
    component: ReservationAddComponent,
  },
  {
    path: 'reservations/edit/:id',
    title: 'Reservaciones',
    component: ReservationAddComponent,
  },
];

@NgModule({
    imports: [RouterModule.forChild(routes)],
    exports: [RouterModule],
})
export class AgentRoutingModule  { }
