import { Component, OnInit } from '@angular/core';
import { TableModel } from 'src/app/shared/interfaces/table-model.interface';
import { BookingService } from '../../services/booking.service';
import { Booking } from '../../interfaces/booking.interface';
import { ResultDelete } from 'src/app/shared/interfaces/result-delete.interface';
import { Reservation } from '../../interfaces/reservation.interface';
import { ReservationsService } from '../../services/reservations.service';

@Component({
  selector: 'app-reservations',
  templateUrl: './reservations.component.html',
  styleUrls: ['./reservations.component.css']
})
export class ReservationsComponent implements OnInit{

  tableData: Reservation[] = [];

  tableModel: TableModel[] = [
    {
      name: 'id',
      title: '#'
    },
    {
      name: 'passengerName',
      title: 'Pasajero'
    },
    {
      name: 'ticketTypeName',
      title: 'Tipo de Ticket'
    },
    {
      name: 'travelClassName',
      title: 'Clase'
    },
    {
      name: 'statusCode',
      title: 'Estado'
    }
  ];

  constructor(private reservationsService: ReservationsService) { }

  ngOnInit(): void {
    this.getAll();
  }

  getAll(): void {
    this.reservationsService.getAll()
      .subscribe(bookings => this.tableData = bookings);
  }

  onDelete(result: ResultDelete): void {
    if (!result.result) return;
    this.reservationsService.delete(result.id)
      .subscribe(() => this.getAll());
  }
}
