import { Component, Input } from '@angular/core';
import { FormControl } from '@angular/forms';

@Component({
  selector: 'shared-input-calendar',
  templateUrl: './input-calendar.component.html',
  styleUrls: ['./input-calendar.component.css']
})
export class InputCalendarComponent {

  @Input()
  public name: string = '';

  @Input()
  public value: string = '';

  @Input()
  public type: string = 'date';

  @Input()
  public control: FormControl<string | null> = new FormControl<string | null>(null);

  isInputValid(): boolean | null {
    return this.control? this.control?.errors && this.control?.touched : null;
  }

  getFieldError(): string | null {
    const errors = this.control?.errors || {};

    for (const key of Object.keys(errors)) {
      switch (key) {
        case 'required':
          return 'Este campo es requerido';
        case 'isValid':
          return 'Fecha partida debe ser mayor a la fecha de llegada';
      }
    }
    return null;
  }
}
