import { Component, EventEmitter, Input, Output } from '@angular/core';
import { TableModel } from '../../interfaces/table-model.interface';

@Component({
  selector: 'shared-input-selector',
  templateUrl: './input-selector.component.html',
  styleUrls: ['./input-selector.component.css']
})
export class InputSelectorComponent {

  @Input()
  public isActivated: boolean = false;

  @Input()
  public tableModel: TableModel[] = []

  @Input()
  public tableData: any[] = [];

  @Input()
  public value: string | null = null;

  @Input()
  public name: string = '';

  @Output()
  public onSelect: EventEmitter<any> = new EventEmitter<any>();

  closeDialog(): void {
    this.isActivated = false;
  }

  openDialog(): void {
    this.isActivated = true;
  }

  selectItem(item: any): void {
    this.onSelect.emit(item);
    this.closeDialog();
  }

  isInputValid(): boolean | null {
    return this.value ? true : false;
  }

  getFieldError(): string | null {
    return this.isInputValid() ? null : 'Este campo es requerido';
  }
}
