import { Component, EventEmitter, Output } from '@angular/core';
import { Router } from '@angular/router';
import { SecurityService } from 'src/app/security/services/security.service';

@Component({
  selector: 'shared-navigation-user',
  templateUrl: './navigation-user.component.html',
  styleUrls: ['./navigation-user.component.css']
})
export class NavigationUserComponent {

  @Output()
  public toggleSidebarEvent: EventEmitter<void> = new EventEmitter<void>();

  constructor(private router: Router,
    private securityService: SecurityService) { }

  toggleSidebar():void {
    this.toggleSidebarEvent.emit();
  }

  get username(): any {
    const userLogged = this.securityService.currentUser;
    if (userLogged) {
      return `${userLogged.name.toLowerCase().substring(0, 1)}${userLogged.lastname.toLowerCase()}`
    } return null;
  }

  goToLogin(): void {
    this.router.navigate(['/sign-in']);
  }
}
