import { Component, EventEmitter, Input, Output } from '@angular/core';
import { PanelItem } from 'src/app/supervisor/interfaces/panel-item.interface';

@Component({
  selector: 'shared-panel-menu',
  templateUrl: './panel-menu.component.html',
  styleUrls: ['./panel-menu.component.css']
})
export class PanelMenuComponent {

  @Input()
  public panelItems: PanelItem[] = [];

  @Output()
  public onChangeItemActive: EventEmitter<PanelItem> = new EventEmitter();

  onChangePanelItem(item: PanelItem) {
    this.panelItems.forEach((item: PanelItem) => item.isActive = false);
    item.isActive = true;
    this.onChangeItemActive.emit(item);
  }

  activeItem(item: PanelItem): string {
    return item.isActive ? 'active' : '';
  }
}
