import { Component, Input, OnInit } from '@angular/core';
import { Step } from '../../interfaces/step.interface';

@Component({
  selector: 'shared-stepper',
  templateUrl: './stepper.component.html',
  styleUrls: ['./stepper.component.css']
})
export class StepperComponent implements OnInit{

  @Input()
  public selectedStepIndex: number = 0;

  @Input()
  public steps: Step[] = [];

  isActiveStep(id: number): string {
    return this.selectedStepIndex === id ? 'active' : '';
  }

  get nameStep(): string {
    return this.steps[this.selectedStepIndex!].title;
  }

  ngOnInit(): void {
    this.steps.length > 0 ? this.selectedStepIndex = 0 : null;
  }

  nextStep(): void {
    if (this.selectedStepIndex === this.steps.length - 1) return;
    this.selectedStepIndex!++;
  }

  prevStep(): void {
    if (this.selectedStepIndex === 0) return;
    this.selectedStepIndex!--;
  }
}
