import { Component, EventEmitter, Input, Output } from '@angular/core';
import { TableModel } from '../../interfaces/table-model.interface';
import { TableAction } from '../../interfaces/table-action.interface';
import { Router } from '@angular/router';

@Component({
  selector: 'shared-table-custom',
  templateUrl: './table-custom.component.html',
  styleUrls: ['./table-custom.component.css']
})
export class TableCustomComponent {

  @Input()
  public tableAction: TableAction[] = [];

  @Input()
  public onClickItem: (item: any) => void = (item) => { console.log(item); };

  @Input()
  public tableData: any[] = [];

  @Input()
  public tableModel: TableModel[] = [];

  @Output()
  public onSelect: EventEmitter<any[]> = new EventEmitter<any[]>();

  constructor(private router: Router) { }

  onSelectRow(row: any): void {
    this.onSelect.emit(row);
  }
}
