import { Component, OnInit } from '@angular/core';
import { ResultDelete } from 'src/app/shared/interfaces/result-delete.interface';
import { TableModel } from 'src/app/shared/interfaces/table-model.interface';
import { Flight } from '../../interfaces/flight.interface';
import { FlightService } from '../../services/flight.service';

@Component({
  selector: 'app-flight-config',
  templateUrl: './flight-config.component.html',
  styleUrls: ['./flight-config.component.css']
})
export class FlightConfigComponent implements OnInit {

  tableData: Flight[] = [];
  tableModel: TableModel[] = [
    {
      name: 'id',
      title: '#'
    },
    {
      name: 'airportOrigin',
      title: 'Aeropuerto origen'
    },
    {
      name: 'airportDestination',
      title: 'Aeropuerto destino',
    },
    {
      name: 'dateStart',
      title: 'Fecha de partida'
    },
    {
      name: 'dateEnd',
      title: 'Fecha de llegada'
    }
  ];

  constructor(private flightService: FlightService) {}

  ngOnInit(): void {
    this.getFlights();
  }

  getFlights(): void {
    this.flightService.getAll()
      .subscribe(flights => {
        this.tableData = flights;
      });
  }

  onDeleteAgent(result: ResultDelete): void {

  }
}
