import { FormControl, FormGroup, Validators } from "@angular/forms";

const nameLenght = { min: 3, max: 20 };
const lastnameLenght = { min: 3, max: 30 };
const detailLenght = { min: 3, max: 100 };
const emailLenght = { min: 3, max: 100 };
const passwordLenght = { min: 3, max: 45 };


export const AGENT_VALIDATORS = new FormGroup( {
  name: new FormControl('', [Validators.required, Validators.minLength(nameLenght.min), Validators.maxLength(nameLenght.max)]),
  lastname: new FormControl('', [Validators.required, Validators.minLength(lastnameLenght.min), Validators.maxLength(lastnameLenght.max)]),
  detail: new FormControl('', [Validators.maxLength(detailLenght.max)]),
  email: new FormControl('', [Validators.required, Validators.minLength(emailLenght.min), Validators.maxLength(emailLenght.max)]),
  password: new FormControl('', [Validators.required, Validators.minLength(passwordLenght.min), Validators.maxLength(passwordLenght.max)])
});

export const getAgentValidatorLenght = (field: string) => {
  switch (field) {
    case 'name':
      return nameLenght;
    case 'lastname':
      return lastnameLenght;
    case 'detail':
      return detailLenght;
    case 'email':
      return emailLenght;
    case 'password':
      return passwordLenght;
    default:
      return { min: 0, max: 0 };
  }
}
